# 1.1
# Pour calculer I1
n=1000
s=0
for (i in 1:n)
{
	u=runif(1,0,1)
	s=s+cos(u^3)*exp(-u)
}
cat("valeur approchée : ",s/n)

# 1.2
#(1)
n=1000
s=0
for (i in 1:n)
{
	u=runif(1,-,1)
	v=runif(1,-,1)
	if (u^2+v^2<1)
	{
		s=s+1
	}
}
cat("valeur approchée : ",s/n)

indi<-function(u,v)
{
	z=0
	if (u^2+v^2<1)
	{
		z=1
	}
	return(z)
}


n=1000
s=0
for (i in 1:n)
{
	u=runif(1,-1,1)
	v=runif(1,-1,1)
	w=runif(1,-1,1)
	x=runif(1,-1,1)
	s=s+(indi(u,v)-indi(w,x))^2
}
cat("valeur approchée de la variance : ",s/(2*n))
	
# 1.4
n=1000
for (i in 1:n)
{
	u=runif(1,0,1)
	s=s+sin(sqrt(u))
}
cat("valeur approchée de la variance : ",s/n)

	
	
# 1.5

n=1000
s=0
for (i in 1:n)
{
	u=runif(3,0,1)
	if (u[1]^2+u[2]^2+u[3]^2<1)
	{
		s=s+1
	}
}
cat("valeur approchée : ",s/n,", valeur exacte : ",(1/8)*(4/3)*pi)   

n=10000	
s=0
for (i in 1:n)
{
	u=runif(3,0,2)
	if (u[1]^2+u[2]^2+u[3]^2<2^2)
	{
		s=s+1
	}
}
cat("valeur approchée : ",s/n,", valeur exacte : ",pi/6)   
	
	
